commandArgs {base} | R Documentation

## Extract Command Line Arguments

### Description

Provides access to a copy of the command line arguments supplied when this R session was invoked.

### Usage

    commandArgs(trailingOnly = FALSE)

### Arguments

`trailingOnly` | logical. Should only arguments after --args be returned?

### Details

These arguments are captured before the standard R command line processing takes place. This means that they are the unmodified values. This is especially useful with the --args command-line flag to R, as all of the command line after that flag is skipped.

### Value

A character vector containing the name of the executable and the user-supplied command line arguments. The first element is the name of the executable by which R was invoked. The exact form of this element is platform dependent: it may be the fully qualified name, or simply the last component (or basename) of the application, or for an embedded R it can be anything the programmer supplied.

If `trailingOnly = TRUE`, a character vector of those arguments (if any) supplied after --args.

### See Also

`Startup`

### Examples

    commandArgs()
    ## Spawn a copy of this application as it was invoked,
    ## subject to shell quoting issues
    ## system(paste(commandArgs(), collapse = " "))

[Package base version 3.3.0 Index]